<%@ Register TagPrefix="uc1" TagName="Footer" Src="../PageControls/Footer.ascx" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="config.aspx.vb" Inherits="IST.Archetype.config"%>
<%@ Register TagPrefix="uc1" TagName="Menu" Src="../PageControls/Menu.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>
			<%LoadTitle%>
			: Admin Section</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../CSS/IST.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Config" runat="server">
			<img alt="Archetype Logo" src="../Photos/logo.jpg">
			<center>
				<table width="100%" cellpadding="4" cellspacing="2" border="0" class="CNTFormat">
					<tr>
						<td class="HDRForumCategory" valign="bottom" width="83%"><%LoadTitle%>: Edit Site 
							Configuration
						</td>
						<td class="HDRForumCategory" valign="bottom" align="right" width="17%">Navigation</td>
					</tr>
					<tr>
						<td class="HRDForumCategoryDesc" valign="top" nowrap="nowrap">
							<p><u>Site Config</u><br />
								<asp:linkbutton id="LBMainConfig" runat="server">Main Configuration</asp:linkbutton>&nbsp;|&nbsp;
								<asp:linkbutton id="LBPhotoConfig" runat="server">Photo Album Configuration</asp:linkbutton>&nbsp;|&nbsp;
								<asp:linkbutton id="LBHTMLConfig" runat="server">HTML Configuration</asp:linkbutton>&nbsp;|
								<asp:linkbutton id="LBUserConfig" runat="server">User Configuration</asp:linkbutton><br />
								<br />
								<asp:panel id="PanelMainConfig" runat="server" Height="75px">
      <P><U>Main Config</U></P>
      <P></P>Site Title: 
<asp:TextBox id="TxtSiteTitle" runat="server"></asp:TextBox><br />Site 
      Description: 
      <asp:TextBox id="TxtSiteDesc" runat="server"></asp:TextBox><br />Max Preview 
      Chars (many parts of the app truncate text, what should the limit be?): 
<asp:TextBox id="TxtPreviewChars" runat="server" Width="48px"></asp:TextBox><br />Default 
      Image Size (for picview.aspx): 
<asp:DropDownList id="DDLDefaultRes" runat="server">
								<asp:ListItem Value="320">320x240</asp:ListItem>
								<asp:ListItem Value="640">640x480</asp:ListItem>
								<asp:ListItem Value="800">800x600</asp:ListItem>
								<asp:ListItem Value="1024">1024x768</asp:ListItem>
								<asp:ListItem Value="1280">1280x1024</asp:ListItem>
								<asp:ListItem Value="1600">1600x1200</asp:ListItem>
									</asp:DropDownList><br />Site Language (Adjusts the RSS feed 
      language): 
<asp:DropDownList id="DDLLanguage" runat="server">
										<asp:ListItem Value="en-us">English - United States</asp:ListItem>
										<asp:ListItem Value="en-uk">English - United Kingdom</asp:ListItem>
										<asp:ListItem Value="en-ca">English - Canada</asp:ListItem>
										<asp:ListItem Value="en-au">English - Australia</asp:ListItem>
										<asp:ListItem Value="en-bz">English - Belize</asp:ListItem>
									</asp:DropDownList><br />Enable Anti-Leech Support? (Prevents 
      "hot" linking of your album images): 
<asp:DropDownList id="DDLAntiLeech" runat="server">
										<asp:ListItem Value="True" Selected="True">Yes</asp:ListItem>
										<asp:ListItem Value="False">No</asp:ListItem>
									</asp:DropDownList><br />Enable Image Time Stamp? (Adds a time of 
      creation to the top left of all images in the album): 
<asp:DropDownList id="DDLTimeStamp" runat="server">
										<asp:ListItem Value="True" Selected="True">Yes</asp:ListItem>
										<asp:ListItem Value="False">No</asp:ListItem>
									</asp:DropDownList><br />Enable Thumbnail Size Locking? (Makes 
      thumbs with the same Width &amp; Height): 
<asp:DropDownList id="DDLThumbLock" runat="server">
										<asp:ListItem Value="True" Selected="True">Yes</asp:ListItem>
										<asp:ListItem Value="False">No</asp:ListItem>
									</asp:DropDownList>
      <P>
										<asp:Button id="BtnMainConfigApply" runat="server" Text="Apply Changes"></asp:Button></P>
      <P>
								</asp:panel></p>
							<p>&nbsp;
								<asp:panel id="PanelPhotoConfig" runat="server" Height="107px" Visible="False">
									<P>Photo Album Config</P>
									<P>New Album<br />
										Name:
										<asp:TextBox id="TxtNewName" runat="server"></asp:TextBox>&nbsp;Description:
										<asp:TextBox id="TxtNewDesc" runat="server"></asp:TextBox>Location:
										<asp:TextBox id="TxtNewLoc" runat="server"></asp:TextBox>&nbsp;
										<asp:Button id="BtnPhotoAdd" runat="server" Text="Add"></asp:Button><br />
										<STRONG>NOTE:</STRONG> Location must be relative to site root, so images in 
										www.yoursite.com/images/pics would be placed in location as /images/pics/.<br />
										<STRONG>NOTE:</STRONG> For sites in sub directory's you can use "~" to 
										represent the root of the application (ex. http://www.yoursite.com/PS/Photos/ 
										can be represented as ~/photos/ if the app is insalled in /PS/)<br />
										<STRONG>NOTE:</STRONG> Forward Slash "/" is important in the album location end 
										(ex. /images/ not /images)<br />
										<br />
										Edit Existing Albums<br />
										Album:
										<asp:DropDownList id="DDLAlbum" runat="server" AutoPostBack="True">
											<asp:ListItem Value="Please select an album">Please select an album</asp:ListItem>
										</asp:DropDownList>&nbsp;
										<asp:CheckBox id="CBDelete" runat="server" Text="Delete" AutoPostBack="True" EnableViewState="False"></asp:CheckBox><br />
										Name:
										<asp:TextBox id="TxtUpName" runat="server" EnableViewState="False"></asp:TextBox>&nbsp;Description:
										<asp:TextBox id="TxtUpDesc" runat="server" EnableViewState="False"></asp:TextBox>&nbsp;Location:
										<asp:TextBox id="TxtUpLoc" runat="server" EnableViewState="False"></asp:TextBox>&nbsp;
										<asp:Button id="BtnPhotoUpdate" runat="server" Text="Update"></asp:Button></P>
								</asp:panel>
							<P></P>
							<p><asp:panel id="PanelHTMLConfig" runat="server" Visible="False">
									<P>HTML Config</P>
									<P>Coming soon...</P>
								</asp:panel>
							<P></P>
							<P><asp:panel id="PanelUserConfig" runat="server" Visible="False">
									<P><U>User Config<br />
										</U>Add a User<br />
										Username:
										<asp:textbox id="TxtNewUser" runat="server"></asp:textbox>&nbsp;Display 
										Name:&nbsp;
										<asp:TextBox id="TxtNewDisplay" runat="server"></asp:TextBox>Password:
										<asp:textbox id="TxtNewPass" runat="server" TextMode="Password"></asp:textbox>&nbsp;
										<asp:button id="BtnNewUser" runat="server" Text="Add"></asp:button></P>
									<P></P>
									<P>Edit Existing Users<br />
										<STRONG>NOTE: </STRONG>Username Changes will not update any database but the 
										user DB, so the old username will still be referenced in places like the Blog 
										DB.<br />
										User:
										<asp:DropDownList id="DDLUsers" runat="server" AutoPostBack="True"></asp:DropDownList>&nbsp;
										<asp:CheckBox id="CBUserDelete" runat="server" Text="Delete" AutoPostBack="True" EnableViewState="False"></asp:CheckBox><br />
										Username:&nbsp;
										<asp:TextBox id="TxtUpUserName" runat="server"></asp:TextBox>&nbsp;Display 
										Name:
										<asp:TextBox id="TxtUpDisplay" runat="server"></asp:TextBox>&nbsp;Password:
										<asp:TextBox id="TxtUpPassword" runat="server" TextMode="Password"></asp:TextBox>&nbsp;
										<asp:Button id="BtnUserUpdate" runat="server" Text="Update"></asp:Button></P>
								</asp:panel><asp:label id="lblError" runat="server" EnableViewState="False"></asp:label>
						</td>
						<td class="newstop" valign="top" align="right" nowrap="nowrap">
							<uc1:Menu id="Menu1" runat="server"></uc1:Menu>
						</td>
					</tr>
					<tr>
						<td valign="bottom" align="center"><uc1:footer id="Footer1" runat="server"></uc1:footer></td>
						<td>&nbsp;</td>
					</tr>
				</table>
			</center>
		</form>
	</body>
</HTML>
