<%@ Register TagPrefix="uc1" TagName="Footer" Src="PageControls/Footer.ascx" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="picview.aspx.vb" Inherits="IST.Archetype.PicView" enableViewState="False"%>
<%@ Register TagPrefix="uc1" TagName="Menu" Src="PageControls/Menu.ascx" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
		<title>
			<%LoadTitle%>
			: Image Viewer</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR" />
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE" />
		<meta content="JavaScript" name="vs_defaultClientScript" />
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema" />
		<link href="./css/ist.css" type="text/css" rel="stylesheet" />
	</head>
	<body>
		<form id="Form1" method="post" runat="server">
			<img alt="Archetype Logo" src="Photos/logo.jpg" />
			<table width="100%" cellpadding="4" cellspacing="2" border="0" class="CNTFormat">
				<tr>
					<td class="HDRForumCategory" valign="bottom" width="83%" height="26"><%LoadTitle%>: 
						Image Viewer
					</td>
					<td class="HDRForumCategory" valign="bottom" align="right" width="17%">Navigation</td>
				</tr>
				<tr>
					<td class="HRDForumCategoryDesc" valign="top" height="524">
						<p align="center">
							<asp:Label id="lblError" runat="server" Visible="False" ForeColor="Red" Font-Bold="True"></asp:Label><img id="ImageMain" runat="server" Align="middle" /></p>
					</td>
					<td class="newstop" valign="top" align="right" nowrap="nowrap">
						<p><uc1:menu id="Menu1" runat="server"></uc1:menu></p>
						<p><u>Albums</u><br />
							<asp:label id="lblAlbumListHTML" runat="server" EnableViewState="False"></asp:label>
						<p />
						<p><u>Image Controls</u><br />
							Downscale Res:
							<asp:DropDownList id="DDLResolutions" runat="server" EnableViewState="False" AutoPostBack="True">
								<asp:ListItem Value="">Select Res.</asp:ListItem>
								<asp:ListItem Value="320">320x240</asp:ListItem>
								<asp:ListItem Value="640">640x480</asp:ListItem>
								<asp:ListItem Value="800">800x600</asp:ListItem>
								<asp:ListItem Value="1024">1024x768</asp:ListItem>
								<asp:ListItem Value="1280">1280x1024</asp:ListItem>
								<asp:ListItem Value="1600">1600x1200</asp:ListItem>
							</asp:DropDownList><br />
							<asp:hyperlink id="HLDescAdd" runat="server" Target="_self" EnableViewState="False">Enter/Edit Description</asp:hyperlink><br />
							<asp:hyperlink id="HLComment" runat="server" Target="_self" EnableViewState="False">View/Add Comments</asp:hyperlink><br />
							<asp:LinkButton id="LBImageDelete" runat="server">Delete Image</asp:LinkButton><br />
							<asp:hyperlink id="HLBack" runat="server" Target="_self" ToolTip="Return to the index" EnableViewState="False">Return to index</asp:hyperlink></p>
						<p><asp:label id="lblDescPrint" runat="server" EnableViewState="False"></asp:label></p>
					</td>
				</tr>
				<tr>
					<td class="TextInput" valign="bottom" align="center"><uc1:footer id="Footer" runat="server"></uc1:footer></td>
					<td>&nbsp;</td>
				</tr>
			</table>
		</form>
	</body>
</html>
